<%@ page language="java" import="testpkg.*, java.util.*"%>
<%@ taglib uri="http://richfaces.org/a4j" prefix="a4j"%>
<%@ taglib uri="http://richfaces.org/rich" prefix="rich"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<rich:modalPanel id="transactionpanel" width="700" height="700"
	style="overflow:auto">
	<f:facet name="header">
		<h:outputText value="Issue Transaction" />
	</f:facet>
	<f:facet name="controls">
		<h:panelGroup>
			<h:graphicImage id="closetransactionpanel" value="/images/close.gif"
				style="filter:none;border:none;background:transparent" />
			<rich:componentControl for="transactionpanel"
				attachTo="closetransactionpanel" operation="hide" event="onclick" />
		</h:panelGroup>
	</f:facet>
	<h:messages layout="table"></h:messages>
	<rich:messages id="messages" style="color:red;" layout="table" />
	<center>
		<h:form id="processTransaction">
			<a4j:outputPanel id="transactionmenu2">
				<rich:simpleTogglePanel switchType="client" width="680"
					id="ShippingAddress" rendered="true">
					<f:facet name="header">
						<h:outputText value="Shipping Address" />
					</f:facet>
					<h:outputText value="Shipping Address:" />
					<h:selectOneMenu id="shippingAddress"
						value="#{TestCaseBean.currentShippingAddress}">
						<f:selectItems value="#{TestCaseBean.shippingAddressListing}" />
						<a4j:support ajaxSingle="true" event="onclick"
							reRender="objNameAddress"
							action="#{TestCaseBean.populateAddressFields}" />
					</h:selectOneMenu>
				</rich:simpleTogglePanel>
				<rich:simpleTogglePanel switchType="client" id="objNameAddress"
					rendered="true">
					<f:facet name="header">
						<h:outputText value="Address Header" />
					</f:facet>
					<h:panelGrid columns="2">
						<h:outputLabel for="addressAddress1" value="Address 1:" />
						<h:inputText id="addressAddress1" value="#{TestCaseBean.address1}"
							readonly="false" immediate="false" required="true"
							requiredMessage="Address Required.">
						</h:inputText>
						<h:outputLabel for="addressAddress2" value="Address 2:" />
						<h:inputText id="addressAddress2" value="#{TestCaseBean.address2}"
							readonly="false" immediate="false" rendered="true"
							required="false">
						</h:inputText>
					</h:panelGrid>
				</rich:simpleTogglePanel>
				<a4j:commandButton rendered="true" reRender="transactionmenu2"
					type="submit" id="submitTransaction" value="Submit" />
			</a4j:outputPanel>
		</h:form>
	</center>
</rich:modalPanel>